<div id="withdraw-section">
  <div class="container">
    <div class="row">
      <div class="col">
        <h1 class="my-4 pb-lg-5">Withdraw information</h1>
      </div>
    </div>

    <div class="row money-btn">
      <div class="col col-12 col-lg-6 mb-4">
        <button
          class="btn btn-danger w-100 fw-bold rounded-pill py-3 fs-5"
          @click="$router.push('/withdraw-history/?type=BTC')"
        >
          {{ computeBtcBalance() }} BTC
        </button>
      </div>
      <div class="col col-12 col-lg-6">
        <button
          class="btn btn-danger w-100 fw-bold rounded-pill py-3 fs-5"
          @click="$router.push('/withdraw-history/?type=BSBT')"
        >
          {{ computeBsbtBalance() }} BSBT
        </button>
      </div>
    </div>

    <div class="row my-5">
      <div class="col col-12 col-lg-3">
        <label for="rest-money-input" class="form-label fs-5">Amount money</label>
      </div>
      <div class="col col-8 col-lg-7">
        <input
          type="number"
          class="form-control form-control-lg"
          step="any"
          min="0"
          id="rest-money-input"
          v-model="amountMoney"
        />
      </div>
      <div class="col col-4 col-lg-2">
        <select class="form-select form-select-lg" aria-label="Select" v-model="typeMoney">
          <option value="BTC">BTC</option>
          <option value="ETH">BSBT</option>
        </select>
      </div>
    </div>

    <div class="row">
      <div class="col col-12 col-lg-3">
        <p class="fs-5">Remaining amount</p>
      </div>
      <div class="col col-12 col-lg-9">
        <p class="fs-5 fw-bold text-danger">{{ remainMoney === null ? warningMsg : remainMoney }}</p>
      </div>
    </div>

    <div class="row py-4">
      <div class="col col-12 col-lg-3">
        <p class="fs-5 mb-0">Wallet address</p>
        <p class="text-danger">(MyStarWallet)</p>
      </div>
      <div class="col col-12 col-lg-5 position-relative">
        <input
          type="text"
          class="form-control form-control-lg"
          id="rest-money-input"
          placeholder="xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
          @keyup="keypressWalletAddress"
          v-model="receiveAccount"
        />
        <div class="position-absolute bottom-0 start-0"
          style="transform: translateY(100%); padding-left: calc(var(--bs-gutter-x)/ 2);"
          v-show="walletDetail && Object.keys(walletDetail).length">
          <info-wallet :wallet-detail="walletDetail"></info-wallet>
        </div>
      </div>
      <div class="col col-6 col-lg-2 mt-5 mt-lg-0">
        <button class="btn btn-primary w-100" style="height: 100%;" @click="verifyAccount">Verify wallet</button>
      </div>
      <div class="col col-6 col-lg-2 mt-5 mt-lg-0">
        <button
          class="btn btn-primary w-100"
          style="height: 100%;"
          data-bs-toggle="modal"
          data-bs-target="#list-wallet-modal"
        >
          Saved list
        </button>
      </div>
    </div>

    <div class="row py-4 mt-3 mb-5">
      <div class="col col-12 d-flex justify-content-center">
        <button class="btn btn-danger btn-lg text-uppercase fw-bold fs-5" @click="submitWithdraw">
          Submit
        </button>
      </div>
    </div>
  </div>

  <!-- List wallet -->
  <list-wallet @choose-wallet="chooseWallet"></list-wallet>
  <!-- End List wallet -->
</div>
